# Firefly

## Introduction

Firefly is the system of record for Entitlement recognition. Each time a Registration links a Subscription on Naviga side, a license needs to be created in Firefly.

#### Request

| Method | URL                    |
| ------ | ---------------------- |
| `POST` | `/users/entitle/DTIC/` |

| Parameter                | Type   | Description                                     | Required?                                         | Default   |
| ------------------------ | ------ | ----------------------------------------------- | ------------------------------------------------- | --------- |
| userGUID                 | GUID   | Gannett User ID                                 | Y                                                 | none      |
| secret                   | string | Firefly external secret (currently)             | Y                                                 | none      |
| items/item/siteCode      | string | Gannett Site Code, previously MarketID          | Y                                                 | none      |
| items/item/AccountNumber | string | AccountNumber                                   | Y                                                 | none      |
| items/item/ProductCode   | string | Maps to Naviga paperCode field                  | Yes, in case multiple products sold in the market | none      |
| items/item/serviceCodes  | array  | Array of the service codes as defined in Naviga | N                                                 | "digital" |

`SiteCode`: MG2 Control Setting, formerly MarketID

`ProductCode`: our Paper Code, pulled from Newspapers table

`ServiceCode:`Service Code,  pulled from Service\_Types

For more information please see our internal documentation on Sharepoint: [Document\_1](https://dtint.sharepoint.com/:b:/r/mg2/products/Shared%20Documents/MG2CEP/Technical%20Documents/Firefly/GUP%20-%20POST%20v4_users_entitle_transfer_dtic.pdf?csf=1\&web=1\&e=79y9X0), [Document\_2](https://dtint.sharepoint.com/mg2/products/Shared%20Documents/MG2CEP/Technical%20Documents/Firefly/GUP%20-%20POST%20v4_users_entitle_dtic.pdf)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/naviga-subscribe/additional-resources/subscribe-apis/firefly.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
